spring:
  profiles:
    active: local
  encoding: UTF-8
  
  thymeleaf:
    prefix: classpath:templates/
    suffix: .html
    check-template-location: true
  
  servlet:
    multipart:
      maxFileSize: 500MB
      maxRequestSize: 500MB
  
  aop:
    proxy-target-class: false
  
  messages:
    # 메시지 파일의 경로와 기본 파일명 (src/main/resources 기준)
    basename: messages
    # 인코딩 설정 (한글 깨짐 방지를 위해 UTF-8 권장)
    encoding: UTF-8
    # 메시지 파일을 찾지 못했을 때 시스템 언어를 사용할지 여부
    fallback-to-system-locale: true
    # 설정한 로케일에 해당하는 파일이 없어도 에러를 내지 않고 기본 파일을 사용함
    use-code-as-default-message: true
    # 메시지 변경 시 새로고침 주기 (초 단위, -1은 캐싱)
    cache-duration: 3600


server:
  encoding:
    charset: UTF-8
    enabled: true
    force: true
    force-response: true  # 응답 인코딩 강제 설정[3]
  compression:
    enabled: true
  server-header: server
  error:
    whitelabel:
      enabled: false
    path: /error/errorIntro.do

logging:
  level:
    root: INFO
    com.madeu: DEBUG
    org.apache: WARN
    org.apache.juli: WARN
    org.apache.catalina: WARN
    org.apache.tomcat: WARN
    org.springframework.web: INFO
    org.springframework.boot: INFO
    org.hibernate.SQL: DEBUG
    org.hibernate.type.descriptor.sql.BasicBinder: TRACE
    p6spy: debug

decorator:
  datasource:
    p6spy:
      enable-logging: true
      logging: slf4j
      tracing:
        include-parameter-values: true
